Skip to main content
GET
/
core
/
filing
/
search
/
{countryISO}
/
{companyCode}
Filing Search
curl --request GET \
  --url https://rest.kyckr.com/core/filing/search/{countryISO}/{companyCode} \
  --header 'Authorization: <api-key>'
import requests

url = "https://rest.kyckr.com/core/filing/search/{countryISO}/{companyCode}"

headers = {"Authorization": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<api-key>'}};

fetch('https://rest.kyckr.com/core/filing/search/{countryISO}/{companyCode}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "productsField": [
    {
      "idField": "CROON_Q1JPX0NvbXBhbnlQcm9maWxl_NDM2MDI0",
      "priceTagField": "IE_CRO_CP",
      "priceField": "€0.0",
      "currencyField": "€",
      "productCodeField": "CRO_CompanyProfile",
      "companyCodeField": "436024",
      "productFormatField": "PDF",
      "productTitleField": "Company Profile",
      "PropertyChanged": null,
      "tierCodeField": "A",
      "tierValueField": "1.00"
    }
  ]
}

Authorizations

Authorization
string
header
required

Path Parameters

countryISO
string
required

2-digit ISO country code

companyCode
string
required

Retrieved from search results "codeField" attribute

Query Parameters

regAuth
string

Registration Authority string from search query

continuationKey
string

Response

200 - application/json

Example response

productsField
object[]